
Redmine - Defect #9775

app/views/repository/_revision_graph.html.erb sets window.onload directly..

2011-12-11 21:34 - John Kubiatowicz

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 1.3.1   

Resolution: Fixed Affected version: 1.3.0

Description

The subject says it all. The partial _revision_graph.html.erb (in app/views/repository) sets window.onload directly. As a result of

setting window.onload directly, it toasts other onload events on the repository page (currently messing with a plugin that I have).

Instead of:

window.onload = function() { stuff; };

should use the prototype syntax used elsewhere in Redmine:

Event.observe(window,"load",function(){ stuff; });

I believe that this started showing up when I pulled down the 1.2.2 updates (not entire sure of timeline)

Associated revisions

Revision 8209 - 2011-12-14 20:29 - Jean-Philippe Lang

Fixed that _revision_graph.html.erb breaks window load events (#9775).

Revision 8765 - 2012-02-04 12:06 - Jean-Philippe Lang

Merged r8209 from trunk (#9775).

History

#1 - 2011-12-14 20:29 - Jean-Philippe Lang

- Category set to SCM

- Status changed from New to Resolved

- Target version set to 1.3.1

- Affected version (unused) set to 1.3.0

- Affected version set to 1.3.0

Fixed in r8209.

#2 - 2012-02-04 12:06 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Fixed

Merged.

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

https://www.redmine.org/projects/redmine/repository/svn/revisions/8209
http://www.tcpdf.org

